/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  Maximus strings.  This contains most of Max's static data.  Since      *
 *  all of this is separated from the main program code, most of the       *
 *  work for creating a multi-lingulal version of Maximus has already      *
 *  been done.                                                             *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 ***************************************************************************/

#define s(s)  s

#define YES               'Y' /* For the "More [Y,n]" prompts */
#define NO                'N'
#define M_NONSTOP         '='

#ifdef INITIALIZE

  char *compression_type[]=
  {
    " Unknown",
    " Stored ",
    " Packed ",
    "Squeezed",
    "crunched",
    "crunched",
    "crunched",
    "Crunched",
    "Squashed",
    " Crushed",
    " Distill"
  };

#else

  extern char *compression_type[];

#endif


/* General: */

extrn char *located IS(WHITE "\nLocated %d match%s.\n"),
           *pl_match IS("es"),  /* Plural for above */
           *log_bad_pwd IS("!Bad pwd `%s'"),
           *wrong_pwd IS("\aWrong! (Try #%d)\n"),
           *end_prompt IS("]: "),
           *bed_lu IS(CYAN "Type `" WHITE "?" CYAN "' by itself to list users.\n");

/* MAX_INIT.C: */

extrn char *log_begin_mt IS("+Begin, v%s (task=%u)"),
           *log_begin_1t IS("+Begin, v%s"),
           *log_syscrash1 IS("!System crash detected on task %d"),
           *log_syscrash2 IS("!User on-line at time of crash was %s"),
           *log_user_off_line IS("+%s off-line. Calls=%d, Len=%d, Today=%d"),
           *log_max_end IS(":End, v%s (%d)\n"),
           *log_ret_from_app IS("+Return from external application"),
           *log_no_fossil IS("!FOSSIL isn't loaded."),
           *log_got_null_ptr IS("!User off-line by NULL pointer!");

extrn char *err_startup_tlong IS("Startup directory name too long!\n"),
           *ddwarn IS("Warning!  DoubleDOS specified in control file, but not currently active!\n\n"),
           *inv_prm_ver IS("INVALID PRM VERSION!\n"),
           *old_prm_ver IS("OLD PRM FILE\n\n"),
           *user_text IS("User"),
           *found_nptr IS("Serious bug, found a null pointer!  Please call back and report bug to SysOp!\n"),
           *pwd_is IS(CYAN "\nPassword: %s\n");

/* MAX_LOG.C: */

extrn char *log_caller_bps IS(" Caller at %ld bps"),
           *log_given IS("#Given %d min."),
           *log_not_in_ulist IS("!%s not in userlist"),
           *log_applic IS(":Application"),
           *log_cust IS("+Custom welcome for %s");


extrn char *what_first_name IS("\nWhat is your name%s: "),
           *what_last_name IS("What is your LAST name%s: "),
           *s_alias IS("/alias"),
           *invalid_punct IS("Invalid punctuation.\n\n"),
           *uc_warn IS("Warning!  -C parameter specified, but USER.BBS already exists!\n"),
           *pvt_system IS("\nThis is a private system.\n"),
           *get_ansi1 IS("Does your system support\n"),
           *get_ansi2 IS("ANSI screen controls"),
           *get_fsed IS("Use the MaxEd full-screen editor"),
           *get_ibmpc IS("Use IBM-PC characters"),
           *turf_hidden IS("!Saying au-revoir to HIDDEN caller"),
           *bad_uword IS("!Bad word `%s' in username"),
           *tlimit1 IS("Your daily time limit is %u minutes.\n"),
           *tlimit2 IS("You have logged %u minutes.\n"),
           *get_pwd1 IS("Type the password you plan to use on this system: "),
           *bad_pwd1 IS("\nA password is a single word (no spaces).\nIt must be 4 to 15 letters (or numbers) long.\n\n"),
           *bad_pwd2 IS("\n\nYou typed `%s' the first\ntime, but `%s' the second time.\nLet's try again.\n"),
           *check_pwd1 IS("Lets see if I recorded what you think you typed!\n\nPlease type your new password\n"),
           *check_pwd2 IS("one more time: "),
           *brain_lapse IS("+Temporary user brain lapse. Name=`%s'?");

/* MAX_IN.C */

extrn char *log_ft_yuhu IS("!Fall-through YooHoo?"),
           *log_axe IS("!Sysop axed caller"),
           *log_pv_up IS(":Priv raised to %s"),
           *log_pv_dn IS(":Priv lowered to %s"),

           *no_undrstnd IS("I don't understand `%c'.  "),
           *eq_help IS("=help"),
           *min_add IS(CYAN "%d MIN ADDED (%d remain)\n"),
           *min_less IS(CYAN "%d MIN LESS (%d remain)\n"),
           *key_on IS(CYAN "\nKeyboard: ON\n"),
           *pv_lock IS(CYAN "\nPRIV LOCKED AT %s\n"),
           *on_snoop IS(CYAN "\nSnoop: ON\n"),
           *off_snoop IS(CYAN "\nSnoop: OFF\n"),
           *pv_unlock IS(CYAN "\nPRIV UNLOCKED\n"),
           *cume_zero IS(CYAN "\nDaily cume zeroed.\n"),
           *pv_up IS(CYAN "\nPRIV RAISED (%s)\n"),
           *pv_dn IS(CYAN "\nPRIV LOWERED (%s)\n");
         
extrn char *togkey IS(CYAN "\nKEY <%c> TOGGLED. (NOW %s)\n"),
           *key_off IS(CYAN "\nKeyboard: OFF\n"),

           *stat_1  IS(YELLOW "\n" CLEOL "\n" CLEOL "(U#%4d) " CYAN "Name: %-18s   Real: %-15s  Bps: %ld%s\n" CYAN),
           *stat_2  IS(                  CLEOL CYAN "         Priv: %-18s  Phone: %-15s\n"),
           *stat_3  IS(                       CLEOL "         City: %-16s Lastcall: %s\n" CLEOL "\n"),

           *stat_4  IS(                       CLEOL "   Width: %-8d    Length: %-5d TimeOnline: %-5d   TimeLeft: %d\n");
         
extrn char *stat_5  IS(CLEOL "     Msg: %-8s"),
           *stat_6  IS("      File: %-5s      Calls: %-5d  TimeToday: %d\n"),
           *stat_7  IS(CLEOL "    Help: %-8s      Tabs: %-5s      Nulls: %-5d  IBM chars: %s\n"),
           *stat_8  IS(CLEOL "   Video: %-8s     MaxEd: %-5s       More: %-5s        CLS: %s\n"),
           *stat_9  IS(CLEOL "DL today: %-8d  DL total: %-5d   UL total: %-5d    Hotkeys: %s\n"),
           *stat_10 IS(CLEOL "  Credit: %-5d        Debit: %d\n" CLEOL "\n"),
           *stat_11 IS(CLEOL "Arrow keys adj. time,  #) 1-8, toggle user's keys   N) Snoop on\n"
                       CLEOL "^x) Axe caller         A) Local keyboard on         O) Snoop off\n"
                       CLEOL " C) CHAT start         Z) Zero daily cume           !) Toggle yell noise\n"
                       CLEOL " +) Priv up            -) Priv down             alt-X) Hangup w/line noise\n" CLEOL),
           *ch_req IS(BLINK " C'REQ" CYAN);

/* MAX_MSG1.C: */

extrn char *log_msga IS(":Msg.area %s %s"),
           *log_msgfrom IS("#MsgFrom: %s -=> %s"),

           *msg_abbr IS("msg."),
           *msg_prmpt IS("Message area [Area #, '%c'=Prior, '%c'=Next, '%c'=List]: "),
           *del_msg IS("Delete this message"),
           *savedmsg1 IS(CLEOL CLS WHITE CLEOL "Saving your message"),
           *savedmsg2 IS(" (#%d)..."),
           *msg_tlong IS("\n" CLEOL "\aMessage too long -- Truncated.\n" CLEOL),
           *ncredit IS(YELLOW "\n\nYou don't have enough credit.\n" WHITE),
           *mfrom IS(CYAN "From:" YELLOW "    %-38.38s " LGREEN),
           *net_orig IS("Orig"),
           *mto IS(CYAN "To:" YELLOW "      %-38s " LGREEN "Msg #%d, %s\n"),
           *net_dest IS("Dest"),
           *subj_colon IS("Subject:"),
           *files_colon IS("File(s):");
         
extrn char *this_reply IS(WHITE "\n*** This is a reply to #%d."),
           *see_also IS("  See also #%d.\n"),
           *there_reply IS(WHITE "\n*** There is a reply.  See #%d.\n"),
           *warn_splow IS(WHITE "\aWarning!  Space low in message area -- Possibly not enough space\nto save message.\n\n"),
           *warn_mleft IS(WHITE "\nWarning!  Only %d minutes left.\n"),
           *strt_any IS("Start message anyway"),
           *rd_only IS(WHITE "\nThis area is read-only.\n"),
           *this_be IS("This will be a"),
           *pl_n IS("n"), /* Plural for the "a" in this_be, above.  Delete if not needed. */
           *th_e IS(" EchoMail");
         
extrn char *this_area IS(" message in area %s." GRAY "\n\n"),
           *edt_hlpline IS("\x16\x08%c\x01" BLKONWHIT CLEOL "QUIT:esc+esc  UP:ctrl-E or <up>  DOWN:ctrl-x or <down>  ERASE:ctrl-y"),
           *gmsg_l1 IS("\x16\x08\x01\x01" YELLOW CLEOL "\x16\x08\x02\x01"
                       BLKONWHIT CLEOL "Type Y, N, ? for help, or %s" CYAN),
           *gmsg_l2 IS("\x16\x08\x01\x01" YELLOW CLEOL "%s"
                       "\x16\x08\x02\x01" BLKONWHIT CLEOL
                       "%s" CYAN "\x16\x08\x05\x12"),
           *gmsg_l2p5 IS("Type '?' to list users."),
           *gmsg_l3 IS("\x16\x08\x01\x01" YELLOW CLEOL
                       "\x16\x08\x02\x01" BLKONWHIT CLEOL
                       "Enter destination, format Z:N/N.P. Type `/' for list of nets, and `#' for nodes"
                       CYAN "\x16\x08\x05%c" WHITE "At " CYAN),
           *gmsg_l4 IS("\x16\x08\x01\x01" YELLOW CLEOL "\x16\x08\x02\x01" BLKONWHIT
                       CLEOL "Press Enter to use your own name." CYAN "\x16\x08\x07\x12"),
           *apvt IS("Private"), /* Prompt when entering msg, "Private [y,N]?" */
           *edmsg IS(WHITE "\nEnter destination address, format Z:N/N.P.\n"
                     "Type `/' for list of nets, and `#' for a list of nodes.\n\n");
                   
extrn char *naddr IS("Network address: "),
           *eto IS(CYAN "     To: " YELLOW),
           *mroute_sysop IS(YELLOW "Message routed to the sysop, %s.\n"),
           *nowto IS(CYAN "     To: " YELLOW "%s\n"),
           *keep_subj IS("Press Enter by itself to keep this subject.\n\n"),
           *new_subj IS("New subject: " YELLOW),
           *pefon IS(CYAN "\nPress Enter to use your own name.\n"),
           *n_from IS("   From: " YELLOW),
           *a_noex IS(WHITE "\n\nWarning!  Attached file does not exist!\n"),
           *gmsg_pvt IS(CYAN "\x16\x08\x04\x01Private:\x16\x08\x04\x12" WHITE "%s"),
           *yep IS("YES"),
           *nope IS("NO "),
           *gmsg_to IS("\x16\x08\x05\x01" CYAN "     To: \x16\x08\x05\x12" CYAN "%s" CLEOL),
           *at_netaddr IS("\x16\x08\x05%c" WHITE "At " CYAN "%s"),
           *gmsg_from IS("\x16\x08\x07\x01" CYAN "   From: \x16\x08\x07\x12" CYAN "%s" CLEOL),
           *msg_sect IS(CLS YELONBLUE CLEOL "The MESSAGE Section" GRAY "\n"),
           *msg_none IS(WHITE "No messages."),
           *msg_inarea IS(LGREEN "There are %d messages in this area.  The highest is #%d\n");
         
extrn char *msg_noread IS(WHITE "You haven't read any of these."),
           *msg_nonew IS(WHITE "NO NEW messages have been posted."),
           *msg_lmsg IS(WHITE "The last message you read was %d."),
           *msg_ban1 IS("\n" LGREEN "[" LMAGENTA "%d" LGREEN "]" CYAN " Highest: %d.  %sress Enter for %s%s.\n"),
           *msg_ban2 IS("Type message number, or p"),
           *msg_ban3 IS("Type msg#, or p"),
           *msg_ban4 IS("P"),
           *msg_ban5 IS(" message"),
           *nxt IS("NEXT"),
           *prr IS(LRED "PRIOR" CYAN),
           *mtrx IS("Matrix "),
           *s_echo IS("Echo "),
           *s_msg IS("Msg."),
           *edlist_quit IS(YELLOW "Q" GRAY ")uit\n\n" WHITE),
           *line_to_del IS("Please type the number of the line to delete: "),
           *del_this IS("Delete this line"),
           *deld IS("\nLine deleted.\n"),
           *ins_bef IS("Insert a line BEFORE which line: "),
           *line_ins IS("\nLine inserted.\n");
         
extrn char *line_edit_num IS("Type the line number you wish to change: "),
           *rep_what IS("Replace what: "),
           *usrnotfnd IS(WHITE "\n`%s' not found.\n"),
           *noroom IS("\nNot enough room.  Aborted.\n\n"),
           *editl1 IS(YELLOW "\nType what you want to put into the line\n"),
           *editl2 IS("at the beginning.\n\n"),
           *editl3 IS("instead of `%s'.\n\n"),
           *e_numch IS(LGREEN "You can put as many as %d characters\nhere.\n\n" WHITE),
           *new_st IS("New: "),
           *not_reply IS(WHITE "\nMessage is not a reply.\n"),
           *qstart IS("Start quoting FROM line# (`?' displays message): "),
           *qend IS("End quoting AT line#: "),
           *sstmt IS("\nSOCIAL STMT:  Quoting more than 15 lines at a time is bad practice.\n"),
           *req_graph IS("\nMaxEd requires graphics to be ON, and a 79x24 monitor.\n\n"),
           *blfmt1 IS(GRAY "%2d: " YELLOW "%s"),
           *msgid_str IS("\x01MSGID"),
           *fmpt_str IS("\x01""FMPT"),
           *intl_str IS("\x01INTL"),
           *reply_str IS("\x01REPLY"),
           *topt_str IS("\x01TOPT");

/* MAX_MISC.C: */

extrn char *log_pvchg IS("!PORT VAR CHANGED! Please report to author."),
           *log_robo_bye IS("!RoboCop: CARRIER HANG! Please report to author."),
           *log_got_ansi IS("!ANSI sequence found, area %s msg %d"),
           *log_lread_xlink IS("!Err: Lastread ptr xlinked, usr#%d"),

           *robo_warn IS("\r" CLEOL LRED "RoboCop: " LGREEN "Carrier Detect Police!  "
                         YELLOW "Timeout in %d seconds.\r"),
           *ustat1 IS(CLS LBLUE "Your statistics for %s "),
           *ustat2 IS(YELLOW "TIME\n" CYAN),
           *ustat3 IS(" Time on line, this call..........     %6u minutes\n"),
           *ustat4 IS(" Time remaining for this call.....     %6u minutes\n"),
           *ustat5 IS(" Time of previous calls today.....     %6u minutes\n"),
           *ustat6 IS(" Calls to date....................     %6u\n"),
           *ustat7 IS(YELLOW "FILES\n" CYAN),
           *ustat8 IS(" UL (from you)....................     %6u k-bytes\n"),
           *ustat9 IS(" DL (to you)......................     %6u k-bytes\n"),
           *ustat10   IS(" DL today.........................     %6u k-bytes\n"),
           *ustat10_5 IS(" DL available for today...........     %6u k-bytes\n");
         
extrn char *ustat11 IS(YELLOW "MATRIX\n" CYAN),
           *ustat12 IS(" Credits (on account).............     %6u cents\n"),
           *ustat13 IS(" Debits (expenditures)............     %6u cents\n"),
           *ustat14 IS("\nLast file transferred: XFER RATE: %ld bps (%d%%)\n"),
           *no_class_rec IS("!%s, can't find class record"),
           *cant_get_there IS(WHITE "\nYou can't get there from here.\n"),
           *hotfl IS("HOTFLASH"),
           *exper IS("EXPERT"),
           *regul IS("REGULAR"),
           *novic IS("NOVICE"),
           *inv_ccmd IS("!Invalid custom cmd: `%c'");





/* MAX_DISP.C: */

extrn char *log_max_nest IS("!Max nest lim. exceeded, %s aborted");

/* MAX_FILE.C: */

extrn char *log_farea IS(":File area %s %s"),
           *log_dllim IS(":Dnld req. would exceed limit"),
           *log_exc_ratio IS(":Dnld req. would exceed ratio"),
           *log_sending_to IS(" Sending to %s at %ld bps"),
           *log_getting_from IS(" Receiving from %s at %ld bps"),
           *log_disp IS("=Display %s%s"),

           *deny_file IS("file "),
           *file_prmpt IS("File area [Area #, '%c'=Prior, '%c'=Next, '%c'=List]: "),
           *file_title IS("Files: ['*'=new, <enter>=all, or type a partial filename]: "),

           *ze_file_cmd IS("The Files command"),
           *ze_loc_cmd IS("Locate"),
           *no_wildcard IS("\n%s doesn't need the `*' or `?' characters to search for a\n"
                           "specific file/description.  (A `*' alone can be used to look for new\n"
                           "files.)\n\n"),
           *no_wc1 IS("Anything you type will be matched anywhere in the filename or description;\n"),
           *no_wc2 IS("For example, searching for `AB' will match both ABCD.ARC and BABAR.DOC.\n");
         

extrn char *loc_banner IS(WHITE "\nLOCATE:\n"),
           *note_helpnf IS("\nType `?' by itself for help, or `*' to list new files.\n"),
           *loc_file IS("Type the file or description you wish to locate: "),
           *srchng IS("Searching: %2s\r"),
           *bytes_for_ul IS(WHITE "\nThere are " YELLOW "%ld" WHITE " bytes available for uploads in this area.\n"),
           *noupl IS(WHITE "\nYou can't upload in this area.\n"),
           *fname_mask IS("Filename mask: "),
           *pick_proto IS(WHITE "\nSelect a file transfer protocol:\n"
                                  "  1)K-Xmodem\n"
                                  "  S)EAlink\n"
                                  "  T)elink\n"
                                  "  X)modem\n"),
           *proto_zmodem IS(      "  Z)modem\n"),
           *proto_quit IS(        "  Q)uit\n\n");
         
extrn char *i_dont_get_it IS(WHITE "I don't understand `%c'.\n"),
           *file_ul IS("File to upload? "),
           *file_dl IS("File(s) to download? "),
           *file_only1 IS(WHITE "That protocol can only tranfer one file at a time.\n"),
           *fnam IS("File: "),
           *fsiz IS("\nSize: %ld bytes (%ld Xmodem blocks)\n"),
           *ftim IS("Time: Zmodem: %d:%02d Xmodem/Telink: %d:%02d SEAlink: %d:%02d\n\n"),
           *fmodd IS("Mode: %s\n\n"),
           *exc_lim IS("That would exceed your daily download limit.\n"),
           *exc_ratio IS("That would exceed your download:upload ratio of %d:1.\n"),
           *exc_limit IS("That would exceed your time limit.\n"),
           *start_receive IS("Begin receiving "),
           *end_receive IS("now or send several CONTROL-X's to cancel.\n\n"),
           *mode_bg IS(WHITE "\n\nMode: %s\nBegin sending ");
         
extrn char *prot_xmod IS("Xmodem"),
           *prot_xm1k IS("Xmodem/1K"),
           *prot_zmod IS("Zmodem"),
           *prot_seal IS("SEAlink"),
           *prot_tel IS("Telink"),
           *file_offl IS(WHITE "\nThe file `%s' is stored off-line.\n"),
           *file_to_kill IS("File to kill? "),
           *delete_yn IS("Delete %s"),    /* Ask user "Delete Filename.Ext [Y,n]?" */
           *cant_unlink IS("Can't unlink `%s'\n"),
           *lfbrfbe IS("Leave file but remove FILES.BBS entry"),
           *err_writ IS("Error writing `%s', aborted.\n"),
           *hurl_what IS("Hurl what? "),
           *area_to_hurl IS("Area to hurl to (`?'=list)? "),
           *type_which IS("Display what file? "),
           *type_for_text IS(WHITE "\nType is for TEXT FILES.\n"),
           *contents_of IS("Display the contents of which archive? ");
         
extrn char *bad_arc IS(WHITE "\nFile `%s' is not a ZIP/LZH/ARC/PAK, or file damaged.\n"),
           *sarc IS("\nSearching archive: %s "),
           *ziphdr1 IS(" Length  Method   Size   Ratio   Date   Time   CRC-32  Attr Name\n"),
           *ziphdr2 IS("        \n"),
           *zip_store IS("Stored "),
           *zip_shrunk IS("Shrunk "),
           *zip_reduce IS("ReduceX"),
           *zip_implode IS("Implode"),
           *unknown IS("Unknown"),
           *zip_format IS("%8lu %-7s %7lu %-02.2d.%d%% %02d-%02d-%02d %02d:%02d %08lx %s%c %-0.17s\n"),
           *zip_cmnt IS("Comment: %s\n");
         
extrn char *zip_encrypt IS("Warning!  File `%s' is encrypted!\n"),
           *zip_trail1 IS("                                        \n"),
           *zip_trail2 IS("%8ld        %8ld %-02.2d.%d%%                              %d\n"),
           *arc_h1 IS("\n\n      Name       Length    Size   Ratio   Date     Time   Attr   Type   CRC\n"),
           *arc_h2 IS("        \n"),
           *arc_t1 IS("   \n"),
           *arc_t2 IS("%15d %8ld %8ld %-02.2d.%d%%\n"),
           *full_ovr_path IS("Enter FULL override path: "),
           *files_banner IS(CLS YELONBLUE CLEOL "The FILES Section" GRAY "\n"),
           *bad_ul_path IS("!Invalid UL path, area %s"),
           *file_offline IS(RED "offline\x19 %c"),
           *supp_path IS("!User supplied path `%s'"),
           *udev IS("!User gave device/path `%s'"),
           *ullog_format IS("%s UL %s%s (%ldb), %s %s\n");
             
extrn char *ul_renamed IS("!Upload `%s' renamed to `%s'"),
           *dtsf IS("Date to search from, or press ENTER for "),
           *bad_date IS("Invalid date.  Search aborted.\n"),
           *date_str IS("%02d-%02d-%02d"),
           *datestr IS("%02d%02d%02d"),
           *scan_str IS("%d-%d-%d"),
           *dot_zip IS(".ZIP"),
           *dot_pak IS(".PAK"),
           *dot_arc IS(".ARC"),
           *dot_lzh IS(".LZH"),
           *desc_many IS(WHITE "\nPlease describe %s (up to three lines, press ENTER on\n"
                                 "a blank line to end):\n");

/* MAX_BOR.C: */

extrn char *last_line IS("This is your last line.\n"),
           *list_from IS(CYAN "   From: " YELLOW "%s\n"),
           *list_to   IS(CYAN "     To: " YELLOW "%s\n"),
           *list_subj IS(CYAN "Subject: " YELLOW "%s\n\n"),
           *bed_to IS(GRAY "\nTo: " YELLOW "%s\n\n"),
           *bto IS("     To: "),
           *bfrom IS(GRAY "\nFrom: " YELLOW "%s\n\n"),
           *bfromsp IS("   From: "),
           *bsubj IS(GRAY "\nSubject: " YELLOW "%s\n\n"),
           *bsubject IS("Subject: ");

/* LOG.C: */

extrn char *copen_log IS("\aCan't open log file '%s'\n");

/* MAX_MSG2.C: */

extrn char *log_kill IS("#Killed msg %s"),
           *log_fwd IS("#Fwd msg. to %s, area %s, #%d"),

           *msgar_name IS("\nMessage "),
           *msgn_prompt IS("#: "),
           *comment_fr IS("Comment from %s"),
           *inrefto IS(WHITE "\nRe: %s"),
           *scan_p IS("Scan: [V)erbose, *)new, ?)help or press Enter]: "),
           *scan_all IS(YELLOW "Scanning your messages in " WHITE  "ALL" YELLOW " areas.  (Control-C or Control-K aborts.)\n\n"),
           *msgn_cleol IS(LGREEN "Msg.area " LMAGENTA "%2s" GRAY " ... " CYAN "%s" CLEOL),
           *list_p IS("List: [V)erbose plus Message #, *)your new mail, or ?)help]: ");
         
extrn char *list_pvt IS("PVT"),
           *list_nopvt IS("   "),
           *list_recd IS("REC'D"),
           *list_new IS(BLINK "NEW  " CYAN),
           *list_nonewrecd IS("     "),
           *list_ab1 IS(" is " LBLUE "FROM" CYAN " you to %s"),
           *list_ab2 IS(" is from %s " LBLUE "TO" CYAN " you"),
           *list_ab3 IS("      is from %s to %s"),
           *mchk_area IS(LGREEN "Area " LMAGENTA "%2s: " GRAY "%s\n"),
           *mchk_nmsg IS("Next Message [Y)es, N)o, A)gain"),
           *mchk_reply IS(", R)eply"),
           *mchk_kill IS(", K)ill"),
           *mchk_nunder IS("I don't understand."),
           *kill_which IS("Kill which ('=' for current)? "),
           *kill_done IS(LRED "Message %d deleted.\n"),
           *fwd_which IS("Forward which message ('=' for current)? "),
           *use_this_area IS("Use this area");
         
extrn char *which_area IS("Which area ('?'=list)? "),
           *fwd_to IS(WHITE "Forwarding to %s at %d:%d/%d.%d...\n"),
           *org_area IS("* Original: AREA.... %s\r\n"),
           *orig_from IS("* Original: FROM.... %s\r\n"),
           *orig_to IS("* Original: TO...... %s\r\n"),
           *orig_by IS("* Forwarded by...... %s v%s at %d:%d/%d.%d\r\n\r\n"),
           *get_route_file IS("Route file (use a FULL path): "),
           *hurl_which IS("Hurl which message ('=' for current)? "),
           *hurl_cant IS(RED "Can't move msg.\n" WHITE),
           *xport_which IS("Xport which message ('=' for current)? "),
           *xport_where IS("Xport to where (Specify a FULL path): "),
           *xporting IS("Exporting...\n"),
           *xp_hdr1 IS("Area: %s, Msg #%d, %s\n"),
           *xp_hdr2 IS("From:    %s\n"),
           *xp_hdr3 IS("To:      %s\n"),
           *xp_hdr4 IS("Subject: %s\n\n"),
           *ul_reject IS(WHITE "\n\nMaximus will reject messages over 8K.\n\n"),
           *ul_ctrlx IS("Begin sending your message now using XMODEM,\n"
                        "or send several CONTROL-X's to cancel.\n");

/* MAX_SELU.C: */

extrn char *log_chat IS(":%s%s"),
           *log_tlimit IS("!Time limit"),
           *log_byebye IS(":Caller vanished"),
           *log_bad_erl IS("!Invalid outside errorlevel"),
           *log_badex1 IS(">!| Xtern_Run needs .EXE or .COM extension"),
           *log_badex2 IS(">!| Use Xtern_Dos for .BAT or other!"),
           *log_badnf IS(">!Prog. not found"),
           *log_badnm IS(">!Not enough mem."),
           *log_badee IS(">!Exec error"),
           *log_badom IS("!Unknown outside method"),
           *log_ul IS("=UL-%c %s%s"),
           *log_dl IS("=DL-%c %s"),
           *log_dump IS("!Sysop dumped caller"),
           *log_no_menu_mem IS("!Not enough mem to read menu");

extrn char *chat_nest IS(CYAN "\n\n*** Can't nest CHAT mode, exit current .BBS file first ***\n"),
           *chat_on IS(CYAN "\nSYSOP, ESC TO EXIT CHAT, OR ^C TO TOGGLE CAPTURE BUFFER.\n"),
           *chat_start IS(WHITE "\nCHAT: start\n"),
           *chat_capoff IS(YELLOW "\nCAPTURE OFF\n"),
           *chat_capon IS(YELLOW "\nCAPTURE ON\n"),
           *chat_logmsg IS("--- Begin CHAT on %s at %s with `%s':\n\n"),
           *chat_logend IS("\n--- End CHAT on %s at %s\n\n"),
           *chat_end IS(WHITE "\nCHAT: end\n"),
           *pls_rsp IS(CYAN "\n\aPlease respond: "),
           *min5_left IS(CYAN "\n\aYOU HAVE ONLY 5 MIN. LEFT.\a\n"),
           *almost_up IS(CYAN "\n\aTIME ALMOST UP.\a\n"),
           *time_up IS(CYAN "\n\aTIME LIMIT.\a\n"),
           *erl_xx IS("ErrorLevel %s"),
           *bar_access IS("Access code: ");
             
             
extrn char *bar_priv_huh IS("!Barricade file priv, `%s'?"),
           *disconnect IS("Disconnect"),    /* Disconnect [Y,n]? */
           *leave_msg IS("Leave a message to %s"),
           *bibi IS(WHITE "Bye %s, thanks for calling.  Please hang up now.\n"),
           *line_noise IS(" k[\rwUVUq>V&`F"),
           *no_last IS("NLN"),
           *yell_toggle IS(CYAN "\nYELL NOISE TOGGLED (NOW %s)");

/* MAX_MAIN.C: */

extrn char *log_user_yelling IS(":%s is yelling"),

           *user_yelling IS(WHITE "\n%s is yelling..."),
           *il_nest_pas_ici IS("\nSorry, there's no answer.\n\n"),
           *yell_is_off IS("\n" WHITE "Yell is turned off.\n"),
           *computer_type IS(WHITE "Computer: "),
           *class_pc IS("PC-class"),
           *class_xt IS("XT-class"),
           *class_pcjr IS("PCjr"),
           *class_at339 IS("AT/339"),
           *class_ps2_xt IS("PC XT Model 286"),
           *class_ps2_30 IS("PS/2 Model 30"),
           *class_ps2_50 IS("PS/2 Model 50"),
           *class_ps2_60 IS("PS/2 Model 60"),
           *class_ps2_80 IS("PS/2 Model 80"),
           *class_at IS("AT-class"),
           *class_pc_conv IS("PC Convertible"),
           *class_compaq_p IS("Compaq-Plus"),
           *class_compaq IS("Compaq"),
           *class_generic IS("Generic MSdos-class 0x%02x\n");
         
extrn char *minor_revision IS(", revision %u\n"),
           *oper_sys IS(YELLOW "OS: "),
#ifdef OS_2
           *os2_ver IS("OS/2 Version %u.%02u\n"),
#endif
           *os2_dosbox IS("DOS BOX (OS/2 Version %u.%02u)\n"),
           *dos_ver IS("DOS %u.%02u\n"),
           *fossil_ver IS(LCYAN "FOSSIL: %0.249Fs\n"),
           *heap_mem IS(LGREEN "Remaining memory in heap: %05lu bytes\n\n"),
           *ul_all IS("Press ENTER for all, or type a partial name to match: "),
           *ul_1 IS("\nPress ENTER to list all, or\n"),
           *ul_2 IS("type a partial name to match: "),
           *ul_format IS(YELLOW "%s" BROWN "\x19.%c" YELLOW " %s\n"),
           *ul_notfound IS(WHITE "`%s' not found in userlist.\n\n"),
           *hu_is_on_1 IS(WHITE "\nUsername                             Node         Status\n"),
           *hu_is_on_2 IS(        "    \n"),
           *hu_is_on_3 IS(YELLOW "%-36.36s  %3d  " GRAY "%s%s\n");

/* MAX_MENU.C: */

extrn char *hfl_prmpt IS(REDONWHIT "\x08\x08" CLEOL "  SPACE>" WHITONWHIT " \x08" BLKONWHIT),
           *w_select_c IS(WHITE "Select: " CYAN),
           *mnu_msg IS("message");  /* Argument for the "Area_Change" menu opt */

/* MAX_MSG3.C: */

extrn char *inq_prompt IS("Enter `?' for help, or type what you want to find: "),
           *inq_p1 IS(WHITE "\nType `?' by itself for help, or\n"),
           *inq_p2 IS("Type what you want to find: "),
           *inq_badexpr IS("\nInvalid expression.\n"),
           *inq_search IS(CLS LBLUE "Searching for %s\n\n"),
           *ifmt_1 IS(WHITE "#%-4d " CYAN "TO " GRAY "%s\n"),
           *ifmt_2 IS(CYAN "    FROM " GRAY "%s\n"),
           *ifmt_3 IS(CYAN " SUBJECT " GRAY "%s\n"),
           *inq_nf IS(WHITE "`%s' not found.\n"),

           *ms_1 IS(YELLOW "\nMATRIX CHARGE SUMMARY REPORT:\n"),
           *ms_2 IS(CYAN "  Payments....... %5u cents\n"),
           *ms_3 IS(CYAN "  Charges........ %5u cents\n"),
           *ms_4 IS(CYAN "  This message... %5u cents\n"),
           *ms_5 IS(CYAN "  Balance........ %5u cents\n"),

           *log_charge IS("+Matrix charge %d"),
           *log_bal IS(":Low matrix balance, %d cents");

/* MAX_MED.C: */

           /* User has grim outlook on life */
extrn char *happy IS(WHITONBLUE "\aDon't worry, be happy!\x19 \x23" CYAN),
           *max_status IS(YELONBLUE CLEOL "^Z=save" WHITONBLUE "  To: %0.20s, Re: %0.27s"),

           *end_widget IS(WHITE "-end-\x16\x01%c"),
           *end_widget2 IS(WHITE "-end-" GRAY),

           *status_insert IS(MAGONBLUE " Insert"),
           *insrt_ovrwrt IS( MAGONBLUE "       "),
           *max_not_reply IS(YELONBLUE CLEOL "\aNot a reply"),
           *import_file IS("File (specify a FULL path): "),
           *max_no_understand IS(WHITONBLUE CLEOL "\aI don't understand.  %s");

/* MAX_CHNG.C: */

extrn char *log_ch_pwd IS(":User changing password"),
           *log_inv_pwd IS("!Invalid current pwd `%s'"),

           *not_impl IS(LBLUE "Not implemented.\n"),
           *current_pwd IS("Current password: "),

           *help_1 IS(CLS YELLOW "N" CYAN ")OVICE ..... " WHITE "Full menus\n"
                         YELLOW "R" CYAN ")EGULAR .... " WHITE "Brief menus\n"
                         YELLOW "E" CYAN ")XPERT ..... " WHITE "No menus\n"
                         YELLOW "H" CYAN ")OTFLASH ... " WHITE "Full-screen, hot-key interface\n\n" WHITE),
           *help_2 IS("Help Level: "),
           *help_3 IS(WHITE "\nHOTFLASH requires graphics to be on.\n"),
           *num_nulls IS("Nulls (0-200): "),
           *mon_width IS("Monitor Width (20-132): "),
           *bad_width IS("Invalid width.  Try again.\n\n"),
           *draw_line IS(CLS "\n\n\n" GRAY "\x19%cX\x19\x09\n\n\n\n\n" WHITE),
           *check_x IS("Is the `X' at the far left side of your display"),
           *incorrect_width IS("\nWidth incorrect.  Try again.\n\n"),
           *top_num IS("Please type the number at the TOP of your display: "),

           *video_1 IS(CLS YELLOW "VIDEO:\n\n"
                          YELLOW "T" GRAY ")TY\n"
                          YELLOW "A" GRAY ")NSI/VT-100\n"
                          YELLOW "O" GRAY ")pus/AVATAR\n\n" WHITE);
                        
extrn char *no_colour IS("Sorry, this system doesn't do colour.\n"),
           *col_too_slow IS("You must call at %u bps for colour.\n"),
           *max_graphics IS(WHITE "\nMaxEd requires either ANSI or AVATAR graphics to operate.\n"),
           *chg1 IS(CLS YELONBLUE CLEOL "The CHANGE SETUP Section" GRAY "\n\n"),
           *chg2 IS(CYAN "Real name............. " WHITE"%s\n"),
           *chg3 IS(CYAN "Phone number.......... " WHITE "%s\n"),
           *chg4 IS(CYAN "City, Prov/State...... " WHITE "%s\n"),
           *chg5 IS(CYAN "Help........" LGREEN "%-18s" CYAN "Nulls......." LGREEN "%u\n"),
           *chg6 IS(CYAN "scrn.Width.." LGREEN "%-3d               " CYAN "scrn.Length." LGREEN "%-3d       " CYAN "Tabs........" LGREEN "%-3s\n"),
           *chg7 IS(CYAN "More?......." LGREEN "%-3s               " CYAN "Video mode.." LGREEN "%-6s    "    CYAN "Scrn. clear." LGREEN "%-3s\n"),
           *chg8 IS(CYAN "Full-scr ed." LGREEN "%-3s               " CYAN "IBM Chars..." LGREEN "%-3s       " CYAN "Hotkeys....." LGREEN "%-3s\n\n"),
           *ph_too_long IS(WHITE "\nPhone number too long; try again.\n"),
           *inv_phone IS(WHITE "\nInvalid phone number.\n");

/* MAX_UED.C: */

extrn char *really_erase IS("Really erase pwd field");

/* MAX_CHAT.C: */

extrn char *cs_avail      IS("Available for chat"),
           *cs_notavail   IS("Not available for chat"),
           *cs_enter_msg  IS("Entering a message"),
           *cs_file_xfer  IS("Transferring a file"),
           *cs_outside    IS("Running external program"),

           *ipcxx_bbs     IS("%sIPC%02x.BBS"),
           *ipc_star      IS("%sIPC*.BBS"),
           *ipc_x         IS("IPC%x.BBS"),
           *ch_page_msg   IS("\a%s\n" CLEOL),
           *ch_xx_join    IS(LRED "%s " LMAGENTA "joins the conversation.\n" CLEOL),
           *ch_xx_leave   IS(LRED "%s " LMAGENTA "leaves the conversation.\n" CLEOL),
           *ch_msg        IS("%s\n");

#define IPC_PATH          original_path


/* MAX_UED.C: */

extrn char *ued_curu      IS(LGREEN "(Current user)" CYAN),  
           *ued_delu      IS(LMAGENTA "(Deleted) " CYAN),
           *ued_du        IS(LCYAN "(Del) " CYAN),
           *ued_pu        IS(LBLUE "(Perm) " CYAN);

/* OTHER: */

extrn char *max_tear IS("--- Maximus-CBCS"),
           *cleol         IS(CLEOL);

#ifdef DMALLOC
#define dmalloc_msg heap_mem
#endif


